| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IP_EEPROM_002_T Struct Reference
IP: EEPROM register block and driver (002)

## Detailed Description

EEPROM register block structure.

Definition at line 50 of file eeprom_002.h.

`#include "eeprom_002.h"`

## Data Fields
__IO uint32_t | CMD
uint32_t | RESERVED0
__IO uint32_t | RWSTATE
__IO uint32_t | AUTOPROG
__IO uint32_t | WSTATE
__IO uint32_t | CLKDIV
__IO uint32_t | PWRDWN
uint32_t | RESERVED2 [1007]
__O uint32_t | INTENCLR
__O uint32_t | INTENSET
__I uint32_t | INTSTAT
__I uint32_t | INTEN
__O uint32_t | INTSTATCLR
__O uint32_t | INTSTATSET

## Field Documentation

__IO uint32_t AUTOPROG

EEPROM auto programming register

Definition at line 54 of file eeprom_002.h.

__IO uint32_t CLKDIV

EEPROM clock divider register

Definition at line 56 of file eeprom_002.h.

__IO uint32_t CMD

EEPROM command register

Definition at line 51 of file eeprom_002.h.

__I uint32_t INTEN

EEPROM interrupt enable

Definition at line 62 of file eeprom_002.h.

__O uint32_t INTENCLR

EEPROM interrupt enable clear

Definition at line 59 of file eeprom_002.h.

__O uint32_t INTENSET

EEPROM interrupt enable set

Definition at line 60 of file eeprom_002.h.

__I uint32_t INTSTAT

EEPROM interrupt status

Definition at line 61 of file eeprom_002.h.

__O uint32_t INTSTATCLR

EEPROM interrupt status clear

Definition at line 63 of file eeprom_002.h.

__O uint32_t INTSTATSET

EEPROM interrupt status set

Definition at line 64 of file eeprom_002.h.

__IO uint32_t PWRDWN

EEPROM power-down register

Definition at line 57 of file eeprom_002.h.

uint32_t RESERVED0

Definition at line 52 of file eeprom_002.h.

uint32_t RESERVED2[1007]

Definition at line 58 of file eeprom_002.h.

__IO uint32_t RWSTATE

EEPROM read wait state register

Definition at line 53 of file eeprom_002.h.

__IO uint32_t WSTATE

EEPROM wait state register

Definition at line 55 of file eeprom_002.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/eeprom_002.h